Board index » delphi » ADOConnection1.GetTableNames(ListBox2.Items, False) problems;

ADOConnection1.GetTableNames(ListBox2.Items, False) problems;

ADOConnection1.GetTableNames(ListBox2.Items, False);

This works fine with SQL 7.0 but not with 6.5. An EOleException with the
message 'The operation requested by the application is not supported by the
provider' is given. Is there anything that I can do to get it to work with
both versions of SQL server?

 

Re:ADOConnection1.GetTableNames(ListBox2.Items, False) problems;


You must upgrade the catalog stored procedures on the 6.5 server
before the SQLOLEDB provider can work properly with schema
rowsets. I don't remember whether the MDAC installation could do
that. Does anybody know?

--
V. Nazarov
IT Manager, Sofia Cable

Quote
"Colin Pascoe" <colin.pas...@idoink.com> wrote in message news:3958d6e5@dnews...
> ADOConnection1.GetTableNames(ListBox2.Items, False);

> This works fine with SQL 7.0 but not with 6.5. An EOleException with the
> message 'The operation requested by the application is not supported by the
> provider' is given. Is there anything that I can do to get it to work with
> both versions of SQL server?

Re:ADOConnection1.GetTableNames(ListBox2.Items, False) problems;


I ran the following script and it worked.

C:> ISQL -Usa -Psa_password -Sserver_name -ilocation\Instcat.sql

Read BOL for more information.
Instcat.sql is found on the CD in the E:\INSTALL directory.

Thanks
Colin

Quote
Vassil Nazarov <s...@bulnet.bg> wrote in message news:39593cea@dnews...
> You must upgrade the catalog stored procedures on the 6.5 server
> before the SQLOLEDB provider can work properly with schema
> rowsets. I don't remember whether the MDAC installation could do
> that. Does anybody know?

> --
> V. Nazarov
> IT Manager, Sofia Cable

> "Colin Pascoe" <colin.pas...@idoink.com> wrote in message

news:3958d6e5@dnews...
Quote
> > ADOConnection1.GetTableNames(ListBox2.Items, False);

> > This works fine with SQL 7.0 but not with 6.5. An EOleException with the
> > message 'The operation requested by the application is not supported by
the
> > provider' is given. Is there anything that I can do to get it to work
with
> > both versions of SQL server?

Other Threads